% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/quant_regress.R
\name{rq.fit.post_lasso}
\alias{rq.fit.post_lasso}
\title{Quantile Regression w/ Lasso Penalty}
\usage{
rq.fit.post_lasso(
  X,
  y,
  tau,
  lambda,
  weights,
  scale_x = T,
  method = "agd",
  nfold = 5,
  nlambda = 10,
  ...
)
}
\arguments{
\item{X}{Design matrix, X}

\item{y}{outcome variable, y}

\item{tau}{quantile to estimate}

\item{lambda}{penalty parameter}

\item{weights}{optional vector of weights}

\item{scale_x}{whether to scale the design matrix before estimation}

\item{method}{method argument to be passed to \link[quantreg:rq]{quantreg::rq}}

\item{nfold}{number of folds to use when cross-validating}

\item{nlambda}{number of lambdas to search over when cross-validating}

\item{...}{other arguments to pass to underlying fitting algorithm}
}
\description{
Quantile Regression w/ Lasso Penalty
}
